# This file is a template, and might need editing before it works on your project.
# Official framework image. Look for the different tagged releases at:
# https://hub.docker.com/r/library/node/tags/
image: node:latest

# This folder is cached between builds
# http://docs.gitlab.com/ce/ci/yaml/README.html#cache
cache:
  paths:
  - node_modules/
  
deploy_production:
    stage: deploy
    environment: Production
    only:
        - develop
    script:
        - npm install -g firebase-tools
        - npm install -g @angular/cli
        - ng build
        - firebase use --token $FIREBASE_TOKEN vehicles-monitor
        - firebase deploy --project vehicles-monitor -m "Pipeline $CI_PIPELINE_ID, build $CI_BUILD_ID" --non-interactive --token $FIREBASE_TOKEN